aboutsummaryrefslogtreecommitdiffstats
path: root/main/rarian/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/rarian/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/rarian/APKBUILD')
-rw-r--r--main/rarian/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/main/rarian/APKBUILD b/main/rarian/APKBUILD
new file mode 100644
index 0000000000..7649544905
--- /dev/null
+++ b/main/rarian/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=rarian
+pkgver=0.8.1
+pkgrel=1
+pkgdesc="Documentation meta-data library, designed as a replacement for Scrollkeeper."
+url="http://rarian.freedesktop.org/"
+license="GPL"
+subpackages="$pkgname-dev"
+depends="bash"
+makedepends="libxslt-dev"
+source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/0.8/$pkgname-$pkgver.tar.bz2
+ user-segfault.patch"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -p0 -i "$srcdir"/user-segfault.patch || return 1
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-scrollkeeper-compat \
+ --disable-static || return 1
+ make || return 1
+ make -j1 DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="75091185e13da67a0ff4279de1757b94 rarian-0.8.1.tar.bz2
+457e9827197009cfa360911fe49a5ad7 user-segfault.patch"